---
 - name: configuration of server Mysql
   hosts: db 
   become: yes 
   tasks:
    
     - name: install mysqlserver
       dnf:
         name: mysql-server
         state: present
     
     - name: activate mysqlserver
       service:
         name: mysqld
         state: started
         enabled: yes

     - name: install pymysql
       dnf:
         name: python3-PyMySQL
         state: present

     - name: create database user 
       mysql_user: 
         name: bob
         password: 12345
         priv: '*.*:ALL'
         state: present

     - name: create the database
       mysql_db:
         name: bobdata
         state: present
         login_unix_socket: /var/lib/mysql/mysql.sock  
